#version 330 core
layout (location = 0) in vec4 vertex;

out vec2 TexCoords;

uniform mat4 uModel;
uniform mat4 projection;
uniform vec3 offset;

void main()
{
    float scale = 10.0f;
    TexCoords = vertex.zw;
    //gl_Position = projection * uModel * vec4((vertex.xy * scale + offset.xy), 0.0, 1.0);
	gl_Position = projection * vec4((vertex.xy * scale + offset.xy), 0.0, 1.0);
}